package {
	import org.flixel.FlxSprite;

	/**
	 * @author Yori Kvitchko
	 */
	public class Station extends FlxSprite {
		public var helper:Boolean;
		public var movable:Boolean;
		public var location:uint;
		public var occupant:Character;
		
		public function Station(Loc:uint, X:Number = 0, Y:Number = 0, Col:uint = 0xff00ff00) {
			super(X, Y);
			createGraphic(50, 30, Col);
			helper = false;
			movable = true;
			location = Loc;
			occupant = null;
		}
	}
}
