package bosses.duck {
	import bosses.BossComp;

	import org.flixel.FlxGroup;
	import org.flixel.FlxObject;

	/**
	 * @author Yori Kvitchko
	 */
	public class DuckBossComp extends BossComp {
		// CONSTANTS
		
		// VARIABLES

		// EMBEDDED RESOURCES

		/*
		 * Animated squid graphic
		 */
		[Embed(source='../../../data/boss_duck.png')]
		private const ImgDuck:Class;

		public function DuckBossComp(Projectiles:FlxGroup, X:Number, Y:Number, Parent:FlxObject = null) {
			// Basic init
			super(Projectiles, X, Y, Parent);
		}

		// Initialize Graphics		
		override public function initGraphics():void {
			// Animation and Graphic
			loadGraphic(ImgDuck, true, true, 256, 256);
			addAnimation("default", [0, 1], 3, true);
			play("default");
			solid = false;
		}
	}
}
