package bosses.gates
{
	import bosses.BossComp;
	import org.flixel.FlxObject;
	import org.flixel.FlxGroup;

	public class GatesBossCoreComp extends BossComp
	{
		[Embed(source="../../../data/gates_boss/heart.png")]
		private var ImgGatesHeart:Class;
		
		public function GatesBossCoreComp(Projectiles:FlxGroup = null, X:Number = 0, Y:Number = 0, Parent:FlxObject = null) 
		{
			super(Projectiles, X, Y, Parent);
		}
		
		override public function initGraphics():void 
		{
			loadGraphic(ImgGatesHeart);
			width = 100;
			height = 100;
			offset.x = 40;
			offset.y = 40;
		}

		override public function hurt(Damage:Number):void 
		{
			super.hurt(Damage);
			this.flicker(0.1);
		}
		
	}
}