package bosses.gates
{
	import base.Proj;
	import base.ProjSpawner;
	
	import org.flixel.FlxObject;

	public class GatesLaserSpawnerV extends ProjSpawner
	{
		/**
		 *  Differentiate top and bottom lasers
		 **/
		private var _type:int;
		
		public function GatesLaserSpawnerV(type:int = 0, Parent:FlxObject=null)
		{
			_type = type;
			super(0, 0, 0, GatesLaserProjV, 24, Parent);
		}
		
		
		override public function sendProjectile(X:Number, Y:Number, p:Proj, locationIndex:int):void
		{			
			GatesLaserProjV(p)._type = _type;
			if(_type == 0)
			{
				// Send it
				super.sendProjectile(X, Y+p.height/2, p, locationIndex);
			}
			else if(_type == 1)
			{
				super.sendProjectile(X, Y-p.height/2, p, locationIndex);
			}
		}
		
	}
}