package bosses.squid {
	import base.ProjSpawner;
	import base.Proj;
	

	import org.flixel.FlxObject;

	/**
	 * @author Yori Kvitchko
	 */
	public class SquidProjFrontSpawner extends ProjSpawner {
		public function SquidProjFrontSpawner(X:Number, Y:Number, Interval:Number, FollowTarget:FlxObject = null) {
			super(X, Y, Interval, SquidProj, 25, FollowTarget);
		}

		override public function sendProjectile(X:Number, Y:Number, p:Proj, locationIndex:int):void {
			// Send it
			super.sendProjectile(X, Y, p, locationIndex);
			// Set Parameters
			SquidProj(p).velocity.x = 0;
			SquidProj(p).velocity.y = SquidProj.BULLET_SPEED;
			// Set Angle
			SquidProj(p).angle = Math.atan2(SquidProj(p).velocity.y, SquidProj(p).velocity.x) * 180 / Math.PI;
		}
	}
}
