package bosses.wave
{
	import bosses.BossComp;
	
	import org.flixel.FlxGroup;
	import org.flixel.FlxObject;

	public class WaveBossWeaponComp extends BossComp
	{
		[Embed(source="../../../data/boss_wave_laser_1.png")]
		private var ImgWaveLaser1:Class;

		[Embed(source="../../../data/boss_wave_laser_2.png")]
		private var ImgWaveLaser2:Class;
		
		/**
		 *  _type: 0 for horizontal
		 * 		   1 for vertical
		 **/
		private var _type:int;
		
		public function WaveBossWeaponComp(Projectiles:FlxGroup=null, X:Number=0, Y:Number=0, Parent:FlxObject=null, type:int=0)
		{
			_type = type;
			super(Projectiles, X, Y, Parent);
			_invincible = true;
		}
		
		override public function initGraphics():void
		{
			if(_type == 0)
				loadGraphic(ImgWaveLaser1);
			else if(_type == 1)
				loadGraphic(ImgWaveLaser2);
			visible = true;
		}
	}
}