package bosses.doomstroyer {
	import bosses.BossComp;

	import org.flixel.FlxG;
	import org.flixel.FlxGroup;
	import org.flixel.FlxObject;

	/**
	 * @author Yori Kvitchko
	 */
	public class DoomBossTurretComp extends BossComp {
		// CONSTANTS

		// VARIABLES

		// EMBEDDED RESOURCES

		/*
		 * Doomstroyer graphic
		 */
		[Embed(source='../../../data/boss_doomstroyer_canon.png')]
		private const ImgDoomstroyerTurret:Class;

		public function DoomBossTurretComp(Projectiles:FlxGroup, X:Number, Y:Number, Parent:FlxObject = null) {
			// Basic init
			super(Projectiles, X, Y, Parent);
		}

		// Initialize Graphics		
		override public function initGraphics():void {
			// Animation and Graphic
			loadRotatedGraphic(ImgDoomstroyerTurret, 32);
		}

		override public function update():void {
			angle += FlxG.elapsed * 500;
			super.update();
		}
	}
}
