package bosses.doomstroyer {
	import base.Proj;

	public class DoomProj extends Proj {
		[Embed(source='../../../data/boss_doomstroyer_bullet.png')]
		private const ImgDoomstroyerBullet:Class;
		
		override public function initGraphics():void {
			loadGraphic(ImgDoomstroyerBullet, true);
			addAnimation("default", [0]);
			addAnimation("reflected", [1]);
			play("default");
		}

		
		override public function send(X:Number, Y:Number, locationIndex:int):void {
			super.send(X, Y, locationIndex);
			
			if(_curAnim.name != "default")
				play("default");
		}

		override public function reflect():void {
			super.reflect();
			play("reflected");
		}
	}
}