package bosses.eye
{
	import base.Proj;
	import base.ProjSpawner;
	
	import org.flixel.FlxObject;
	import org.flixel.FlxU;

	public class EyeBossLaserSpawner extends ProjSpawner
	{
		private static const BULLET_SPEED:Number = 800;
		/**
		 * 	Starting Angle
		 **/
		private var _startAngle:Number;
		
		public function EyeBossLaserSpawner(X:Number, Y:Number, Interval:Number, startAngle:Number, Parent:FlxObject=null)
		{
			_startAngle = startAngle;
			super(X, Y, Interval, EyeBossLaserProj, 36, Parent);
		}
		
		override public function sendProjectile(X:Number, Y:Number, p:Proj, locationIndex:int):void
		{
			super.sendProjectile(X, Y, p, locationIndex);
			
			Proj(p).velocity = FlxU.rotatePoint(BULLET_SPEED, 0, 0, 0, _startAngle);
		} 
		
		public function setAngle(angle:Number):void
		{
			_startAngle = angle;
		}
		
		public function getAngle():Number
		{
			return _startAngle;
		}
	}
}