package bosses.gates
{
	import org.flixel.FlxObject;
	import base.ProjSpawner;
	import base.Proj;

	public class GatesLaserSpawnerH extends ProjSpawner
	{
		/**
		 *  Differentiate left and right lasers
		 **/
		private var _type:int;
		
		public function GatesLaserSpawnerH(type:int = 0, Parent:FlxObject=null)
		{
			_type = type;
			super(0, 0, 0, GatesLaserProjH, 24, Parent);
		}
		
		
		override public function sendProjectile(X:Number, Y:Number, p:Proj, locationIndex:int):void
		{
			GatesLaserProjH(p)._type = _type;
			
			if(_type == 0)
			{
				super.sendProjectile(X+p.width/2, Y, p, locationIndex);
			}
			else if(_type == 1)
			{
				super.sendProjectile(X-p.width/2, Y, p, locationIndex);
			}
			
			
		}
	}
}