package bosses.squid {
	import bosses.Boss;
	import org.flixel.FlxGroup;

	/**
	 * @author Yori Kvitchko
	 */
	public class SquidBoss extends Boss {
		public function SquidBoss(Projectiles:FlxGroup) {
			super(Projectiles, SpaceView.LEVEL_WIDTH / 2 - 280, 50, 500, 500, 1);
			
			var radians:Number;
			
			radians = 45 * Math.PI / 180;
			add(new SquidBossComp(projectiles, SpaceView.LEVEL_WIDTH / 2, 400, radians, 200));
			radians = 135 * Math.PI / 180;
			add(new SquidBossComp(projectiles, SpaceView.LEVEL_WIDTH / 2, 400, radians, 200));
			radians = 270 * Math.PI / 180;
			add(new SquidBossComp(projectiles, SpaceView.LEVEL_WIDTH / 2, 400, radians, 200));
		}

		override public function update():void {
			super.update();
			
			if(!this.getFirstAlive()) {
				kill();
			}
		}
	}
}
