package bosses.squid {

	import base.Proj;
	/**
	 * @author Yori Kvitchko
	 */
	public class SquidProj extends Proj {

		// CONSTANTS

		/*
		 * Bullet speed
		 */
		public static const BULLET_SPEED:Number = 150;

		// EMBEDDED RESOURCES

		[Embed(source="../../../data/boss_squid_bullet.png")] 
		private var ImgSquidBullet:Class;

		/*
		 * Bullet for the squid
		 */
		public function SquidProj() {
			super();
		}

		/*
		 * Initialize Graphics
		 */
		override public function initGraphics():void {
			loadRotatedGraphic(ImgSquidBullet, 90);
		}
	}
}
